#ifndef DIALOGIMPL_H
#define DIALOGIMPL_H

#include "ui_dialog.h"
# include "thread.h"
#include "shutthread.h"

//
//
class DialogImpl : public QDialog, public Ui::Dialog
{
Q_OBJECT
public:
	DialogImpl( QWidget * parent = 0, Qt::WFlags f = 0 );
	
	QString countstr,sstr;
	//QTime ctime;
	char buf[25];
	int buf1,buf2,i,cspeed;
	fstream f;	
	double vvdown;
	QGraphicsScene scene;
	QFont mfont;
	QLineF line1,line2,line3,line4,line5;	
	int x1,y1,x2,y2;
	void gviewshow();
	
protected:
    void closeEvent(QCloseEvent *event);
    
private slots:
    void addClick();
    void addShut();
    void addExit();
    void addMap();
    void chgconok();
    void chgconcut();
    
private:
    Thread threadA;
    shutthread sthread;
    int count,sysv;
    double lvdown,vdown;    

};
#endif




