#ifndef THREAD_H
#define THREAD_H
//
#include <stdlib.h>
#include <QThread>
#include <iostream>
#include <QObject>
#include <QFile>
#include <QTextStream>
#include <QCloseEvent>
#include <fstream>


using namespace std;

//
class Thread : public QThread
{
Q_OBJECT
public:
    Thread();
    void setMessage(const QString &message);
    void stop();
     volatile bool conflag;//type of connection flag,0=ppp,1=others
     int pingcount;
     volatile bool speedflag; //speed maintainer
     int interval; //variable to store time interval b/w connections
   
    
protected:
    void run();
private:
    
    volatile bool flag;
    int chk;
signals:
    void conok();	        //Signals emitted when connection is ok or cut
    void concut();
   		
	
};
#endif
